-- Keep camera on ragdoll when NPC killed
hook.Add("CreateEntityRagdoll", "NPCCamKeepOnRagdolls", function(ent, rag)
	if ent.NPC_ViewCam and ent.NPC_ViewCam:IsValid() then
		local cam = ent.NPC_ViewCam
		
		local attname = "eyes"
		local head = rag:LookupAttachment( "eyes" )
		if ( head == 0 ) then
			attname = "Eye"
			head = rag:LookupAttachment( "Eye" )
			if ( head == 0 ) then -- No eyes :(
				return true -- Umm, shouldn't happen anyway
			end
		end
		
		cam:SetParent()
		local attachment = rag:GetAttachment( head )
	
		local ang = attachment.Ang
		local pos = attachment.Pos
		cam:SetPos( pos )
		cam:SetAngles( ang )
		cam:SetParent( rag )
	end
end)